Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 323027

Summary: x11-misc/xplanet-1.2.1 please stabilize (was: 1.2.0 fails to build with gcc-4.4)
Product: Gentoo Linux Reporter: Libor Polčák <libor+gentoobugs>
Component: Current packagesAssignee: Desktop Misc. Team <desktop-misc>
Status: RESOLVED FIXED    
Severity: enhancement CC: esigra, xmw
Priority: High Keywords: STABLEREQ
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 302468    
Attachments: build.log of 1.2.0 (failing)
build.log for 1.2.1, successful

Description Libor Polčák 2010-06-07 07:03:13 UTC
I am in the middle of the transition from gcc 4.3 to 4.4 which is considered stable (=sys-devel/gcc-4.4.3-r2). =x11-misc/xplanet-1.2.0 cannot be build using gcc 4.4 as is already stated in http://bugs.gentoo.org/show_bug.cgi?id=277937. The problem is that the =x11-misc/xplanet-1.2.1 is still ~x86 keyworded.

Because gcc 4.4 is already considered stable there are two possibilities (in my eyes):

a) Remove ~x86 keyword from =x11-misc/xplanet-1.2.1
b) Backport the fix to =x11-misc/xplanet-1.2.0

Reproducible: Always

Steps to Reproduce:
1. Use gcc 4.4
2. emerge xplanet (don't use KEYWORDS="~x86")
Actual Results:  
>>> Failed to emerge x11-misc/xplanet-1.2.0

(See http://bugs.gentoo.org/show_bug.cgi?id=277937 for more info)

Expected Results:  
xplanet emerged succesfully
Comment 1 Michael Weber (RETIRED) gentoo-dev 2010-06-07 07:15:56 UTC
Hello Libor,
does the 1.2.1 from the tree compile? According to http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/x11-misc/xplanet/ChangeLog?view=markup Samuli has added these fixed into the 1.2.1 version.

It's the general policy to not change stable (1.2.0) version, but stabilize newer versions if needed.

I'll change this into a STABLEREQ for 1.2.1, if you say that it works.

Michael
Comment 2 Michael Weber (RETIRED) gentoo-dev 2010-06-07 07:23:29 UTC
Created attachment 234363 [details]
build.log of 1.2.0 (failing)
Comment 3 Michael Weber (RETIRED) gentoo-dev 2010-06-07 07:27:10 UTC
Created attachment 234365 [details]
build.log for 1.2.1, successful

ACCEPT_KEYWORDS="~amd64" FEATURES="keeptemp" emerge -av1 xplanet
Comment 4 Michael Weber (RETIRED) gentoo-dev 2010-06-07 07:33:19 UTC
hwoanrang, nelchael, 
this is really one of the essential X applications, seriously,
thanks, Michael

Portage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.4.3, glibc-2.11.1-r0, 2.6.34-gentoo-io.0 x86_64)
=================================================================
System uname: Linux-2.6.34-gentoo-io.0-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7300_@_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 05 Jun 2010 21:45:02 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-python/pycrypto: 2.1.0
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.4, 4.4.3-r2, 4.5.0
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mcx16 -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=4096 -mtune=core2 -mfpmath=sse -mieee-fp -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -mcx16 -msahf --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=4096 -mtune=core2 -mfpmath=sse -mieee-fp -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=""
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo/"
LDFLAGS="-Wl,-O1"
LINGUAS="de en en_US en_GB"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /var/lib/layman/science /var/lib/layman/gnome /var/lib/layman/x11 /var/lib/layman/sunrise /var/lib/layman/xmw"
SYNC="rsync://rsync9.de.gentoo.org/gentoo-portage/"
USE="X a52 aac aalib acl acpi alsa amd64 ao bash-completion berkdb bluetooth bzip2 cairo cdda cddb cdparanoia cdr cli consolekit cracklib crypt cups cxx dbus dga djvu dri dts dv dvb dvd dvdr dvdread encode exif faac faad fbcon ffmpeg fftw flac fontconfig fortran gdbm gif gimp glut gnome gnome-keyring gnutls gphoto2 gpm gs gstreamer gtk iconv id3tag imagemagick introspection ipod ipv6 java java6 jbig joystick jpeg jpeg2k lame latex lcms libnotify libsamplerate lm_sensors lzma lzo mad mikmod mmap mmx mng modules mp3 mpeg mpi mplayer mudflap multilib nas nautilus ncurses nls nptl nptlonly nsplugin ogg openal openexr opengl openmp pam pch pcmcia pcre pdf perl png policykit pppd python qt4 quicktime raw readline reflection rle samba sdl session smp speex spell spl sqlite sse sse2 ssl subversion svg symlink sysfs syslog taglib tcl tcpd theora threads tiff tk truetype unicode upnp usb vim-syntax vorbis wavpack webkit x264 xcb xine xinerama xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="intel-hda" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en en_US en_GB" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Libor Polčák 2010-06-07 21:56:41 UTC
(In reply to comment #1)
> Hello Libor,
> does the 1.2.1 from the tree compile? According to
> http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/x11-misc/xplanet/ChangeLog?view=markup
> Samuli has added these fixed into the 1.2.1 version.
> 
> It's the general policy to not change stable (1.2.0) version, but stabilize
> newer versions if needed.
> 
> I'll change this into a STABLEREQ for 1.2.1, if you say that it works.
> 
> Michael
> 

Hello Michael and all the others,

I have tried xplanet 1.2.1 and it compilled and it seems to work correctly.

Libor
Comment 6 Libor Polčák 2010-06-10 13:11:15 UTC
I see that I have accidentaly changed HW architecture and severity so I change it back. I'm sorry.
Comment 7 Samuli Suominen gentoo-dev 2010-06-10 13:30:52 UTC
amd64 stable
Comment 8 Markus Meier gentoo-dev 2010-06-20 17:44:20 UTC
x86 stable
Comment 9 nixnut (RETIRED) gentoo-dev 2010-06-26 11:58:50 UTC
ppc stable
Comment 10 Samuli Suominen gentoo-dev 2010-07-04 10:00:29 UTC
ppc64 stable
Comment 11 Samuli Suominen gentoo-dev 2010-07-10 13:23:18 UTC
old dropped, minor arch's dont need this stable